Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Provider_Not_Found Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Provider_Not_Found:

## Public Member Functions
| Provider_Not_Found (const std::string &algo, const std::string &provider)
const char * | what () const BOTAN_NOEXCEPT override

## Detailed Description

Provider_Not_Found is thrown when a specific provider was requested but that provider is not available.

Definition at line 161 of file exceptn.h.

## Constructor & Destructor Documentation

Botan::Provider_Not_Found::Provider_Not_Found | ( | const std::string & | algo,
|  | const std::string & | provider
| ) |  |
| inline

Definition at line 163 of file exceptn.h.

163 :
164 Lookup_Error("Could not find provider '" + provider + "' for " + algo) {}
Botan::Lookup_Error::Lookup_Error
Lookup_Error(const std::string &err)
Definition: exceptn.h:73

## Member Function Documentation

const char* Botan::Exception::what | ( |  | ) | const
| inline override inherited

Definition at line 26 of file exceptn.h.

Referenced by botan_cipher_update(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), Botan::X509_Object::do_decode(), and Botan::X509::load_key().

26 { return m_msg.c_str(); }

The documentation for this struct was generated from the following file:

- src/lib/utils/exceptn.h